Subject: [sipcore] Copy edits for draft-ietf-sipcore-rfc4244bis-callflows-04

From: [email-masked] (Dale R. Worley)
Date: Thu, 11 Jul 2013 15:45:24 -0400 (EDT)

Thanks to Shida for revising draft-ietf-sipcore-rfc4244bis-callflows!

This is a bunch of copy-edits to
draft-ietf-sipcore-rfc4244bis-callflows-04.  Section pointers are
marked with "*" at the left margin.  Discussion items are marked with
"." at the left margin.  All copy-edits are displayed in "diff"
format.

All of my copy-edits to draft-ietf-sipcore-rfc4244bis-callflows-03
have been resolved, excepting any that may be repeated below

* Section 3.1.  Sequentially Forking (History-Info in Response)

. In message F11, the text "index=1.2.1" appears twice.

    F11 486 Busy Here home -> example.com
 
    SIP/2.0  486 Busy Here
    Via: SIP/2.0/TCP proxy.example.com:5060;branch=z9hG4bKx5st
    Via: SIP/2.0/TCP 192.0.2.3:5060;branch=z9hG4bK4321
    From: Alice <sip:[email-masked]>;tag=sr3dds
    To: Bob <sip:[email-masked]>;tag=55rdds
    Call-Id: [email-masked]
    History-Info: <sip:[email-masked]>;index=1
    History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D302>;\
                  index=1.1;rc=1
    History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D408>;\
                                                            index=1.2;mp=1
    History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D408>;\
-                 index=1.2.1;index=1.2.1;rc=1.2
+                 index=1.2.1;rc=1.2
    History-Info: <sip:[email-masked]>;index=1.3;mp=1
    History-Info: <sip:[email-masked]>;index=1.3.1;rc=1.3
    CSeq: 1 INVITE
    Content-Length: 0

* Section 3.6.  PBX Voicemail Example

. In message F7, it appears that the Reason values 480 in index 1.3
and 1.3.1 are both incorrectly changed to 408, because the value 480
is used in the preceding message (which is the first appearance of
1.3 and 1.3.3).

    F6 INVITE Example.com -> VM
 
    INVITE sip:[email-masked];target=sip:bob%40example.com;cause=480\
                                             SIP/2.0
    Via: SIP/2.0/TCP proxy.example.com:5060;branch=z9hG4bK4523
    Via: SIP/2.0/TCP 192.0.2.3:5060;branch=z9hG4bK42t2
    Max-Forward: 69
    From: Alice <sip:[email-masked]>;tag=kkaz-
    To: Bob <sip:[email-masked]>
    Supported: histinfo
    Call-Id: [email-masked]
    CSeq: 1 INVITE
    History-Info: <sip:[email-masked]>;index=1
    History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D302>;\
                        index=1.1;rc=1
    History-Info: <sip:[email-masked];cause=480?Reason=SIP%3Bcause%3D\
                                                            408>;index=1.2;mp=1
    History-Info: <sip:[email-masked];cause=480?Reason=SIP%3Bcause%3D\
                                                            408>;index=1.2.1;rc=1.2
    History-Info: <sip:[email-masked];\
                        target=sip:bob%40example.com;cause=480>;\
                        index=1.3;mp=1
    History-Info: <sip:[email-masked];\
                        target=sip:bob%40example.com;cause=480>;\
                        index=1.3.1;rc=1.3
    Contact: Alice <sip:[email-masked]>
    Content-Type: application/sdp
    Content-Length: <appropriate value>

    F7 200 OK VM -> Example.com
 
    SIP/2.0 200 OK
    Via: SIP/2.0/TCP proxy.example.com:5060;branch=z9hG4bK4523;\
                                     received=192.0.2.101
    Via: SIP/2.0/TCP 192.0.2.3:5060;branch=z9hG4bK42t2
    From: Alice <sip:[email-masked]>;tag=kkaz-
    To: Bob <sip:[email-masked]>;tag=3dweggs
    Supported: histinfo
    Call-Id: [email-masked]
    CSeq: 1 INVITE
    History-Info: <sip:[email-masked]>;index=1
    History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D302>;\
                       index=1.1;rc=1
    History-Info: <sip:[email-masked];cause=480?Reason=SIP%3Bcause%3D\
                                                                             408>;index=1.2;mp=1
    History-Info: <sip:[email-masked];cause=480?Reason=SIP%3Bcause%3D\
                       408>;index=1.2.1;rc=1.2
    History-Info: <sip:[email-masked];\
-                      target=sip:bob%40example.com;cause=408>;\
+                      target=sip:bob%40example.com;cause=480>;\
                       index=1.3;mp=1
    History-Info: <sip:[email-masked];\
-                      target=sip:bob%40example.com;cause=408>;\
+                      target=sip:bob%40example.com;cause=480>;\
                       index=1.3.1;rc=1.3
    Contact: <sip:[email-masked]>
    Content-Type: application/sdp
    Content-Length: <appropriate value>

* Section 3.7.  Consumer Voicemail Example

. In message F4, index 1.1, there is a '>' that is doubled.  In F5,
index 1.1, this '>>' is turned into '>">'.  In F6, index 1.1, it is
again '>>'.  In message F7, index 1.1, it is shown correctly as '>'.

. In message F6, index 1.2.2 has the portion "index=1.2.2;mp=1.2" on a
separate line that does not start with whitespace.  As such, it is not
a continuation of the previous header line.  What was probably
intended was that that line was the tail of the preceding line, which
now contains just a semicolon.

. In message F6, index 1.2 has "Reason=...408", but the fork
descendant from 1.2 has not terminated yet.  This Reason parameter
should be on index 1.2.1 instead.  F7 needs the same fix on index 1.2,
although index 1.2.1 is correct.

. In message F6, the URI in index 1.2.2 probably needs a "cause=408"
parameter.  This isn't absolutely certain, as the target of the URI is
a service whose exact interface is unspecified, but it seems like
adding "cause" would be the best practice re RFC 4458.  The same
change would then be needed in message F7.  The "cause=408" parameter
would then probably be carried over into the URI of index 1.2.2.1 (in
both F6 and F7).  In any case, the "cause=408" *header* parameter in
message F6, index 1.2.2.1 is incorrect.

. In message F6, index 1.2.2.1, the "rc" parameter should be 1.2.2
rather than 1.3.

    F4 INVITE Example.com -> Carol
 
    INVITE sip:[email-masked] SIP/2.0
    Via: SIP/2.0/TCP proxy.example.com:5060;branch=z9hG4bK24s5
    Via: SIP/2.0/TCP 192.0.2.3:5060;branch=z9hG4bK42t2
    Max-Forward: 69
    From: Alice <sip:[email-masked]>;tag=kkaz-
    To: Bob <sip:[email-masked]>
    Supported: histinfo
    Call-Id: [email-masked]
    CSeq: 1 INVITE
    History-Info: <sip:[email-masked]>;index=1
    History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D302\
-                                                           %3Btext%3D%22Moved%20Temporarily%22>>\
+                                                           %3Btext%3D%22Moved%20Temporarily%22>\
                  ;index=1.1;rc=1
    History-Info: <sip:[email-masked]>;index=1.2;mp=1
    History-Info: <sip:[email-masked]>;index=1.2.1;rc=1.2
    Contact: Alice <sip:[email-masked]>
    Content-Type: application/sdp
    Content-Length: <appropriate value>

    F5 180 Ringing Carol -> Example.com
 
    SIP/2.0 180 Ringing
    Via: SIP/2.0/TCP proxy.example.com:5060;branch=z9hG4bK24s5;\
                    received=192.0.2.101
    Via: SIP/2.0/TCP 192.0.2.3:5060;branch=z9hG4bK42t2
    From: Alice <sip:[email-masked]>;tag=kkaz-
    To: Bob <sip:[email-masked]>;tag=setss3x
    Supported: histinfo
    Call-Id: [email-masked]
    CSeq: 1 INVITE
    History-Info: <sip:[email-masked]>;index=1
    History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D302\
-                                                           %3Btext%3D%22Moved%20Temporarily%22>">\
+                                                           %3Btext%3D%22Moved%20Temporarily%22>\
                  ;index=1.1;rc=1
    History-Info: <sip:[email-masked]>;index=1.2;mp=1
    History-Info: <sip:[email-masked]>;index=1.2.1;rc=1.2
    Contact: <sip:[email-masked]>
    Content-Type: application/sdp
    Content-Length: <appropriate value>

    F6 INVITE Example.com -> VM
 
    INVITE sip:[email-masked];target=sip:carol%40example.com SIP/2.0
    Via: SIP/2.0/TCP proxy.example.com:5060;branch=z9hG4bKbbg4
    Via: SIP/2.0/TCP 192.0.2.3:5060;branch=z9hG4bK42t2
    Max-Forward: 69
    From: Alice <sip:[email-masked]>;tag=kkaz-
    To: Bob <sip:[email-masked]>
    Supported: histinfo
    Call-Id: [email-masked]
    CSeq: 1 INVITE
    History-Info: <sip:[email-masked]>;index=1
    History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D302\
-                                                           %3Btext%3D%22Moved%20Temporarily%22>>\
+                                                           %3Btext%3D%22Moved%20Temporarily%22>\
                  ;index=1.1;rc=1
-   History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D408>;\
+   History-Info: <sip:[email-masked]>;\
                       index=1.2;mp=1
-   History-Info: <sip:[email-masked]>;index=1.2.1;rc=1.2
+   History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D408>;index=1.2.1;rc=1.2
-   History-Info: <sip:[email-masked];target=sip:carol%40example.com>\
-                                                                           ;
-   index=1.2.2;mp=1.2
+   History-Info: <sip:[email-masked];target=sip:carol%40example.com;cause=408>\
+                                                                           ;index=1.2.2;mp=1.2
-   History-Info: <sip:[email-masked];target=sip:carol%40example.com>\
-                                                                           ;cause=408;index=1.2.2.1;rc=1.3
+   History-Info: <sip:[email-masked];target=sip:carol%40example.com;cause=408>\
+                                                                           ;index=1.2.2.1;rc=1.2.2
    Contact: Alice <sip:[email-masked]>
    Content-Type: application/sdp
    Content-Length: <appropriate value>

    F7 200 OK VM -> Example.com
 
    SIP/2.0 200 OK
    Via: SIP/2.0/TCP proxy.example.com:5060;branch=z9hG4bKbbg4
    Via: SIP/2.0/TCP 192.0.2.3:5060;branch=z9hG4bK42t2
    From: Alice <sip:[email-masked]>;tag=kkaz-
    To: Bob <sip:[email-masked]>;tag=3dweggs
    Supported: histinfo
    Call-Id: [email-masked]
    CSeq: 1 INVITE
    History-Info: <sip:[email-masked]>;index=1
    History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D302\
                                                            %3Btext%3D%22Moved%20Temporarily%22>\
                  ;index=1.1;rc=1
-   History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D408>;\
+   History-Info: <sip:[email-masked]>;\
                       index=1.2;mp=1
    History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D408>;\
                                                                             index=1.2.1;rc=1.2
-   History-Info: <sip:[email-masked];target=sip:carol%40example.com>;\
+   History-Info: <sip:[email-masked];target=sip:carol%40example.com;cause=408>;\
                        index=1.2.2;mp=1.2
-   History-Info: <sip:[email-masked];target=sip:carol%40example.com>;\
+   History-Info: <sip:[email-masked];target=sip:carol%40example.com;cause=408>;\
                        index=1.2.2.1;rc=1.2.2
    Contact: <sip:[email-masked]>
    Content-Type: application/sdp
    Content-Length: <appropriate value>

Dale

---

From: Shida Schubert <[email-masked]>
Date: Thu, 11 Jul 2013 13:32:13 -0700

Hi Dale;

 Thank you again for a thorough review and I apologize for 
redundant error on my side. 

 I will try to reflect these fixes and update it before the submission 
deadline, coming Monday.

 Thanks again
  Shida

On Jul 11, 2013, at 12:45 PM, Dale R. Worley wrote:

> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore